py_calltime.d(1m)

NAME
py_calltime.d - measure Python elapsed times for functions.

SYNOPSIS
py_calltime.d

DESCRIPTION
This traces Python activity from all programs running on the system with Python provider support. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Python provider, which may change as additional features are introduced. Check Python/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # py_calltime.d

FIELDS

FILE
    Filename of the Python program

TYPE
    Type of call (func/total)

NAME
    Name of call

TOTAL
    Total elapsed time for calls (us)

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
py_calltime.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)